SolrQuery::getFacetSort
SolrQuery::getFilterQueries
SolrQuery
PHP Manual

# SolrQuery::getFields

Returns the list of fields that will be returned in the response

### Description

public array SolrQuery::getFields ( void )

Returns the list of fields that will be returned in the response

### Parameters

This function has no parameters.

### Return Values

Returns an array on success and `NULL` if not set.